{"openapi":"3.0.4","info":{"title":"Set password of current user","description":"Set the password of the current user to the specified value.\n            \nNote this is feature is only available to Service users authenticated using OpenID. For further information\nrelating to usage of this feature please consult the documentation.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/me/password":{"put":{"tags":["Me"],"summary":"Set password of current user","description":"Set the password of the current user to the specified value.\n            \nNote this is feature is only available to Service users authenticated using OpenID. For further information\nrelating to usage of this feature please consult the documentation.","operationId":"SetPassword","requestBody":{"description":"The request containing the new password value","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/SetPassword"},"example":{"value":"SomeSecretPassword"}},"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/SetPassword"},"example":{"value":"SomeSecretPassword"}},"text/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/SetPassword"},"example":{"value":"SomeSecretPassword"}},"application/*+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/SetPassword"},"example":{"value":"SomeSecretPassword"}}},"required":true},"responses":{"200":{"description":"Set the current user's password","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/SetPasswordResponse"},"example":{"updatedAt":"2022-12-25T12:00:00.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}